#! /bin/sh

echo " *** RM OLD ENV"

rm dist/ -rf
rm pamhyrBuild -rf

echo " *** SETUP ENV"

python3 -m venv pamhyrBuild
. pamhyrBuild/bin/activate
pip3 install -r ../requirements.txt

echo " *** PYINSTALL"

pyinstaller -y --paths pamhyrBuild/lib/python3.8/site-packages ../src/pamhyr.py

echo " *** COPY DATA"

mkdir -p dist/pamhyr/View/ui
cp -r ../src/View/ui/ressources/ dist/pamhyr/View/ui/
cp -r ../src/View/ui/Widgets/*.ui dist/pamhyr/View/ui/
cp -r ../src/View/ui/*.ui dist/pamhyr/View/ui/

mkdir -p dist/pamhyr/lang
cp -r ../src/lang/*.qm dist/pamhyr/lang/

echo " *** MAKE PACKAGE"

OLD_PWD=$PWD
cd dist/
tar --xz -cf pamhyr-gnulinux-amd64.tar.xz pamhyr
cd $OLD_PWD

mv dist/pamhyr-gnulinux-amd64.tar.xz ./
