#! /bin/sh

echo " *** SETUP ENV"

export WINARCH=win64

if [ -z $WINEPREFIX ];
then
    # FIXME Not tested yet...
    export WINEPREFIX=./wine-pamhyr-build

    wget https://www.python.org/ftp/python/3.8.10/python-3.8.10-amd64.exe
    wget https://freefr.dl.sourceforge.net/project/nsis/NSIS%203/3.08/nsis-3.08-setup.exe

    # Dummy display
    Xvfb :42 -screen 0 1024x768x16 &
    jid=$!

    # Install soft
    winetricks                                  \
        corefonts                               \
        7zip                                    \
        win10

    DISPLAY=:42.0 wine cmd /c python-3.8.10-amd64.exe /quiet PrependPath=1
    wine python $WINEPREFIX/drive_c/Program\ Files/Python38/Tools/scripts/win_add2path.py
    wine python -m pip install pyinstaller
    DISPLAY=:42.0 wine cmd /c nsis-3.08-setup.exe /quiet
fi

echo " *** PYINSTALL"

wine pyinstaller ../src/pamhyr.py -y

echo " *** COPY DATA"

mkdir -p dist/pamhyr/View/ui
cp -r ../src/View/ui/ressources/ dist/pamhyr/View/ui/
cp -r ../src/View/ui/Widgets/*.ui dist/pamhyr/View/ui/
cp -r ../src/View/ui/*.ui dist/pamhyr/View/ui/

mkdir -p dist/pamhyr/lang
cp -r ../src/lang/*.qm dist/pamhyr/lang/

echo " *** MAKE PACKAGES"

echo " TAR pamhyr-win-amd64.tar.xz"

OLD_PWD=$PWD
cd dist/
tar --xz -cf pamhyr-win-amd64.tar.xz pamhyr
cd $OLD_PWD
mv dist/pamhyr-win-amd64.tar.xz ./

echo " ZIP pamhyr-win-amd64.zip"

OLD_PWD=$PWD
cd dist/
zip -r pamhyr-win-amd64.zip pamhyr/
cd $OLD_PWD
mv dist/pamhyr-win-amd64.zip ./

echo " *** MAKE INSTALLER"

wine $WINEPREFIX/drive_c/Program\ Files\ \(x86\)/NSIS/makensis.exe   \
     pamhyr.nsi
